'use client';
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import LinkUtility from './LinkUtility.js';
import withStateNavigator from './withStateNavigator.js';
var NavigationBackLink = function (props) {
    var htmlProps = LinkUtility.toHtmlProps(props);
    var distance = props.distance, stateNavigator = props.stateNavigator;
    try {
        var link = stateNavigator.getNavigationBackLink(distance);
    }
    catch (_a) { }
    htmlProps.href = link && stateNavigator.historyManager.getHref(link);
    htmlProps.onClick = link && LinkUtility.getOnClick(stateNavigator, props, link);
    return React.createElement("a", __assign({}, htmlProps));
};
export default withStateNavigator(NavigationBackLink);
