import { cache } from 'react';
import AsyncStateNavigator from './AsyncStateNavigator.server.js';
export var getCache = cache(function () { return ({ navigationEvent: null }); });
var NavigationHandler = function (_a) {
    var stateNavigator = _a.stateNavigator, children = _a.children;
    var _b = stateNavigator.stateContext, oldState = _b.oldState, state = _b.state, data = _b.data, asyncData = _b.asyncData;
    var serverNavigator = new AsyncStateNavigator(stateNavigator);
    getCache().navigationEvent = { oldState: oldState, state: state, data: data, asyncData: asyncData, stateNavigator: serverNavigator };
    return children;
};
export default NavigationHandler;
