import React, { useContext } from 'react';
import NavigationContext from './NavigationContext.js';
import ErrorBoundary from './ErrorBoundary.js';
var SceneViewInner = function (_a) {
    var children = _a.children;
    return children;
};
var SceneView = function (_a) {
    var active = _a.active, errorFallback = _a.errorFallback, children = _a.children;
    var _b = useContext(NavigationContext), state = _b.state, stateNavigator = _b.stateNavigator;
    var show = active != null && state && (typeof active === 'string'
        ? state.key === active
        : (typeof active === 'function'
            ? active(stateNavigator.stateContext)
            : active.indexOf(state.key) !== -1));
    return (React.createElement(ErrorBoundary, { errorFallback: errorFallback },
        React.createElement(SceneViewInner, null, show ? children : null)));
};
export default SceneView;
