"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var NavigationContext_js_1 = __importDefault(require("./NavigationContext.js"));
var ErrorBoundary_js_1 = __importDefault(require("./ErrorBoundary.js"));
var SceneViewInner = function (_a) {
    var children = _a.children;
    return children;
};
var SceneView = function (_a) {
    var active = _a.active, errorFallback = _a.errorFallback, children = _a.children;
    var _b = (0, react_1.useContext)(NavigationContext_js_1.default), state = _b.state, stateNavigator = _b.stateNavigator;
    var show = active != null && state && (typeof active === 'string'
        ? state.key === active
        : (typeof active === 'function'
            ? active(stateNavigator.stateContext)
            : active.indexOf(state.key) !== -1));
    return (react_1.default.createElement(ErrorBoundary_js_1.default, { errorFallback: errorFallback },
        react_1.default.createElement(SceneViewInner, null, show ? children : null)));
};
exports.default = SceneView;
