"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var useNavigationEvent_server_js_1 = __importDefault(require("./useNavigationEvent.server.js"));
var SceneRSCView_js_1 = __importDefault(require("./SceneRSCView.js"));
var SceneView = function (_a) {
    var active = _a.active, children = _a.children, props = __rest(_a, ["active", "children"]);
    var state = (0, useNavigationEvent_server_js_1.default)().state;
    var show = active != null && state && (typeof active === 'string' ? state.key === active : active.indexOf(state.key) !== -1);
    return (react_1.default.createElement(SceneRSCView_js_1.default, __assign({ active: active }, props), show ? children : null));
};
exports.default = SceneView;
