"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCache = void 0;
var react_1 = require("react");
var AsyncStateNavigator_server_js_1 = __importDefault(require("./AsyncStateNavigator.server.js"));
exports.getCache = (0, react_1.cache)(function () { return ({ navigationEvent: null }); });
var NavigationHandler = function (_a) {
    var stateNavigator = _a.stateNavigator, children = _a.children;
    var _b = stateNavigator.stateContext, oldState = _b.oldState, state = _b.state, data = _b.data, asyncData = _b.asyncData;
    var serverNavigator = new AsyncStateNavigator_server_js_1.default(stateNavigator);
    (0, exports.getCache)().navigationEvent = { oldState: oldState, state: state, data: data, asyncData: asyncData, stateNavigator: serverNavigator };
    return children;
};
exports.default = NavigationHandler;
